#-###################################################
#
# This converts the boxes in the Ruby code found in the clipboard back to their original values
# on your document.
#
# 'ConvertOrigBoxesToWebTestBoxes.rbw' printed your original boxes to the SciTE output pane.
#
# First: Copy those boxes to the variable 'origBoxArray' found below, notice the comma separation.
#
# Second: Copy the Ruby code from the TestDoc Ruby file to the clipboard [Ctrl-c] or from whatever
#	test document you are using.
#
# Third: Run this script file [F5], which will copy your code from the clipboard and convert the test
# boxes back to the original values, and will then copy the Ruby code back to the clipboard.
#
# If you left your Ruby code selected in the original code file, just press Ctrl-v to replace it with 
# the edited/tested Ruby code, else select the code again then paste.
#
#-###################################################

require 'tk'

inputStr = TkClipboard.get(nil)

#print inputStr

#-######################################################
#
# THIS IS THE ONLY THING TO CHANGE IN THIS FILE - COPY BETWEEN THE DOUBLE QUOTES
#

origBoxArray = "box2_60,box7_60".split(',')

#-######################################################

page_num_array = Array.new
boxArray = Array.new
box = String.new
output_str = String.new

boxLimit = 100
num = '1'

inputStr.each { |code_line|
	code_line.scan(/(box)(\d+)(_)(\d+)/) {
		page_num_array.push([$2.to_i,$4.to_i]) unless page_num_array.include?([$2.to_i,$4.to_i])
	}
}

# Now sort the two-dimensional page_num_array.
page_num_array.sort!

# Now put the box parts back together and insert into the Box List widget.
page_num_array.each_index { |index|
	boxArray.push("box#{page_num_array[index][0]}_#{page_num_array[index][1]}")
}

unless (boxArray.length != origBoxArray.length)

	inputStr.each { |code_line|
	
		code_line.gsub!(/(box\d+_\d+)/) { |box|

			# Replace renumbered box with original box.
			origBoxArray[boxArray.index(box)]
		}
		
		output_str += code_line
	}
else
	print "ORIGINAL BOX ARRAY SIZE IS DIFFERENT FROM RENUMBERED BOX ARRAY SIZE DUDE\DUDETTE!!"
end

#print output_str

#
# TkClipboard.set first clears the clipboard.
#
TkClipboard.set(output_str.empty? ? '' : output_str, nil)
